# =============================================================================
# >> IMPORTS
# =============================================================================
# Source.Python Imports
from players.helpers import index_from_userid
from players.entity import PlayerEntity
from listeners.tick.delays import tick_delays
#   Events
from events import Event
#   Messages
from messages import SayText2

# =============================================================================
# >> CONFIG
# =============================================================================

# Protection time
prot_time = 10.0


# =============================================================================
# >> GAME EVENTS
# =============================================================================

@Event
def player_spawn(GameEvent):
#   Chat Messages
    userid = GameEvent.get_int("userid")
    index = index_from_userid(userid)
    player = PlayerEntity(index)
    if player.get_team() not in (2,3):
        return
    SayText2(message="[SpawnProtection] Enabled!").send(index)
    tick_delays.delay(prot_time, SayText2(message="[SpawnProtection] Disabled!").send, index)
#   Godmode
    player.set_property_int("m_nHitboxSet", 2)
    tick_delays.delay(prot_time, player.set_property_int, "m_nHitboxSet", 0)
#   Color settings
    real_color = (255*65792+255)
    if player.get_team() == 2:
        color = (255*2)
    if player.get_team() == 3:
        color = (255*65536)
    player.set_property_int("m_clrRender", color)
    tick_delays.delay(prot_time, player.set_property_int, "m_clrRender", real_color)

